### Method

# Gimp Procedure set_icon_file

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_set_icon_file (
      GimpProcedure* procedure,
      GFile* file
    )

#### Description [src]

Sets the icon for `procedure` to the contents of an image file.

Available since: 3.0

#### Parameters

`file`

  Type: `GFile`

  A `GFile` pointing to an image file.

  The argument can be `NULL`.
  The data is owned by the caller of the method.